/*
** Module   : ServerFactory.java
** Abstract : A class for creating Server handles.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CS  20130211 Created initial version.
** 002 CA  20130529 Renamed from AppServerFactory to ServerFactory, as we don't know the type of
**                  connected server when the CONNECT statement is called.
*/

package com.goldencode.p2j.util;

/**
 * A class for instantiating server handles.
 */
public class ServerFactory
{
   /**
    * Method for assigning a <code>ServerImpl</code> to the handle defining it as a server (web
    * or app-server).
    * 
    * @param    serverHandle
    *           The handle to which we will assign the server.
    */
   public static void createServer(handle serverHandle)
   {
      serverHandle.assign(getNewServer());
   }

   /**
    * Method which returns a new SERVER resource.
    * 
    * @return   A new ServerImpl instance.
    */
   private static ServerImpl getNewServer()
   {
      return new ServerImpl();
   }
}
